package de.fhw.swtvertiefung.knauf.kuchenzutatnm;

import javax.swing.JDialog;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;

/**
 * @author Wolfgang Knauf
 * 
 * Dialog fr das Bearbeiten eines Kuchens. Es wird nur der Name gendert.
 */
public class DialogKuchenBearbeiten extends JDialog
{

  private javax.swing.JPanel jContentPane = null;

  private JLabel jLabelName = null;

  private JTextField jTextFieldName = null;

  private JButton jButtonOK = null;

  private JButton jButtonAbbrechen = null;

  /**
   * This method initializes jTextField
   * 
   * @return javax.swing.JTextField
   */
  private JTextField getJTextFieldName()
  {
    if (jTextFieldName == null)
    {
      jTextFieldName = new JTextField();
      jTextFieldName.setName("jTextFieldName");
    }
    return jTextFieldName;
  }

  /**
   * This method initializes jButton
   * 
   * @return javax.swing.JButton
   */
  private JButton getJButtonOK()
  {
    if (jButtonOK == null)
    {
      jButtonOK = new JButton();
      jButtonOK.setName("jButtonOK");
      jButtonOK.setText("OK");
      jButtonOK.addActionListener(new java.awt.event.ActionListener()
      {
        public void actionPerformed(java.awt.event.ActionEvent e)
        {
          okKlick();
        }
      });
    }
    return jButtonOK;
  }

  /**
   * This method initializes jButton
   * 
   * @return javax.swing.JButton
   */
  private JButton getJButtonAbbrechen()
  {
    if (jButtonAbbrechen == null)
    {
      jButtonAbbrechen = new JButton();
      jButtonAbbrechen.setText("Abbrechen");
      jButtonAbbrechen.setName("jButtonAbbrechen");
      jButtonAbbrechen.addActionListener(new java.awt.event.ActionListener()
      {
        public void actionPerformed(java.awt.event.ActionEvent e)
        {
          abbrechenKlick();
        }
      });
    }
    return jButtonAbbrechen;
  }

  /**
   * This is the default constructor
   * @param frameParent Parent-Fenster
   */
  public DialogKuchenBearbeiten(JFrame frameParent)
  {
    super(frameParent, true);
    initialize();
  }

  /**
   * This method initializes this
   * 
   * @return void
   */
  private void initialize()
  {
    this.setTitle("Kuchen bearbeiten");
    this.setSize(410, 104);
    this.setContentPane(getJContentPane());
  }

  /**
   * This method initializes jContentPane
   * 
   * @return javax.swing.JPanel
   */
  private javax.swing.JPanel getJContentPane()
  {
    if (jContentPane == null)
    {
      jLabelName = new JLabel();
      GridBagConstraints gridBagConstraints16 = new GridBagConstraints();
      GridBagConstraints gridBagConstraints15 = new GridBagConstraints();
      GridBagConstraints gridBagConstraints14 = new GridBagConstraints();
      GridBagConstraints gridBagConstraints13 = new GridBagConstraints();
      jContentPane = new javax.swing.JPanel();
      jContentPane.setLayout(new GridBagLayout());
      jLabelName.setText("Name des Kuchens:");
      jLabelName.setName("jLabelName");
      gridBagConstraints13.gridx = 0;
      gridBagConstraints13.gridy = 0;
      gridBagConstraints13.ipadx = 0;
      gridBagConstraints13.ipady = 0;
      gridBagConstraints13.insets = new java.awt.Insets(5, 5, 5, 5);
      gridBagConstraints14.gridx = 1;
      gridBagConstraints14.gridy = 0;
      gridBagConstraints14.weightx = 1.0;
      gridBagConstraints14.fill = java.awt.GridBagConstraints.HORIZONTAL;
      gridBagConstraints14.ipadx = 0;
      gridBagConstraints14.ipady = 0;
      gridBagConstraints14.insets = new java.awt.Insets(5, 5, 5, 5);
      gridBagConstraints15.gridx = 2;
      gridBagConstraints15.gridy = 0;
      gridBagConstraints15.ipadx = 0;
      gridBagConstraints15.ipady = 0;
      gridBagConstraints15.insets = new java.awt.Insets(5, 5, 5, 5);
      gridBagConstraints15.fill = java.awt.GridBagConstraints.HORIZONTAL;
      gridBagConstraints16.gridx = 2;
      gridBagConstraints16.gridy = 1;
      gridBagConstraints16.ipadx = 0;
      gridBagConstraints16.ipady = 0;
      gridBagConstraints16.insets = new java.awt.Insets(5, 5, 5, 5);
      gridBagConstraints16.fill = java.awt.GridBagConstraints.HORIZONTAL;
      gridBagConstraints16.weighty = 1.0D;
      gridBagConstraints16.anchor = java.awt.GridBagConstraints.NORTH;
      jContentPane.add(jLabelName, gridBagConstraints13);
      jContentPane.add(getJTextFieldName(), gridBagConstraints14);
      jContentPane.add(getJButtonOK(), gridBagConstraints15);
      jContentPane.add(getJButtonAbbrechen(), gridBagConstraints16);
    }
    return jContentPane;
  }

  /**
   * Klick auf OK: Dialog schlieen.
   * 
   *  
   */
  private void okKlick()
  {
    /** @todo Logik zum Auslesen der Werte */

    this.dispose();
  }

  /**
   * Klick auf Abbrechen: Dialog schlieen und sonst nichts.
   * 
   *  
   */
  private void abbrechenKlick()
  {
    //Hier ist nichts weiter zu tun.
    this.dispose();
  }
} //  @jve:decl-index=0:visual-constraint="10,10"
